<?php
/**
 * Created by PhpStorm.
 * User: damien
 * Date: 10/03/2018
 * Time: 19:47
 */

namespace Actigraph\ActipageBaseBundle\Services;


use Symfony\Component\HttpFoundation\Session\SessionInterface;

interface CaptchaImplementationInterface
{
    public function __construct(SessionInterface $session,ContentSecurityPolicyNonceService $contentSecurityPolicyNonceService,$config);
    public function getHtmlCaptcha();
    public function isCaptchaValid($postData);
    public function removeCaptchaParamFromPostData($data);
}